Account Management - Link Server Custom Id
Links the custom server identifier, generated by the title, to the user's PlayFab account.
POST https://titleId.playfabapi.com/Server/LinkServerCustomId
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-SecretKey | True |
string |
This API requires a title secret key, available to title admins, from PlayFab Game Manager. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| PlayFabId | True |
string |
Unique PlayFab identifier. |
| ServerCustomId | True |
string |
Unique server custom identifier for this player. |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
|
| ForceLink |
boolean |
If another user is already linked to the custom ID, unlink the other user and re-link. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-SecretKey
This API requires a title secret key, available to title admins, from PlayFab Game Manager.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Link |
|
|
Link |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
LinkServerCustomIdRequest
| Name | Type | Description |
|---|---|---|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| ForceLink |
boolean |
If another user is already linked to the custom ID, unlink the other user and re-link. |
| PlayFabId |
string |
Unique PlayFab identifier. |
| ServerCustomId |
string |
Unique server custom identifier for this player. |
LinkServerCustomIdResult
Error Codes
| Name | Code |
|---|---|
| AccountNotFound | 1001 |
| LinkedIdentifierAlreadyClaimed | 1184 |